スラッグによるWorkspacesとアプリの識別
API(およびBitriseサポートチーム)は、Workspaceのスラッグやプロジェクトのスラッグをよく尋ねます。スラッグは、これらのリソースを一意に識別するもので、16進数で構成されます。特定のWorkspaceまたはプロジェクトのスラッグは、UIとAPIの両方で確認できます。
Bitrise websiteでスラッグを確認するClick to copy link
Workspaceのスラッグとプロジェクトのスラッグはどちらも、Bitrise websiteで確認できます。
- Workspace slugs
- Project slugs
-
BitriseにLog inし、左側のナビゲーションバーにカーソルを合わせます。
-
Workspaceメニューで、正しいworkspaceが選択されていることを確認します。
-
Settingsを選択します。
-
Workspace settingsページで、`General settings from the left navigation menu.
-
Find the Workspace slug in the Workspace information section. You can copy the slug by clicking the copy button next to it.

-
Open Bitrise CI and select your project.
-
Once on the project's page, go to your browser's address bar.
The URL will look like this:
https://app.bitrise.io/app/5c89d92-8be6-4892-b11d-efbc1fdd607. -
Find the hexadecimal number after the
/app/section of the URL. That is your project's slug.
Bitrise APIを使用したスラッグの確認Click to copy link
You can get the slug for all Workspaces and apps you have access to with simple API calls.
- Workspace slugs
- App slugs
-
Authenticate with the Bitrise API.
-
Call the
GET /organizationsendpoint with your Personal Access Token:curl -X 'GET' \'https://api.bitrise.io/v0.1/organizations' \-H 'accept: application/json' \-H 'Authorization: <ACCESS-TOKEN>' -
Find the slug in the response:
{"data": [{"name": "TestOrg","slug": "2dec5c71bbce73d9","avatar_icon_url": "https://bitrise-public-content-production.s3.amazonaws.com/org-icons/default_avatar-09.png","concurrency_count": null,"owners": [{"slug": "1b3f130835b1c09ef2","username": "bitbot",}]}]}
-
Authenticate with the Bitrise API.
-
Call the
GET /appsエンドポイントをPersonal Access Tokenで選択します。curl -X 'GET' \'https://api.bitrise.io/v0.1/apps' \-H 'accept: application/json' \-H 'Authorization: <ACCESS-TOKEN>' -
レスポンスからスラッグを確認します:
{"data": [{"slug": "13aa9897-3891-4fe7-8cf5-5b2f75638b0e","title": "TestApp","project_type": "ios","provider": "github","repo_owner": "bitrise","repo_slug": "TestApp","is_disabled": false,"status": 1,"is_public": false,"is_github_checks_enabled": false,"owner": {"account_type": "organization","name": "Bitrise","slug": "03a9543ede4d12bd"},"avatar_url": null},